
#include <stdlib.h>
#include <stdio.h>
#include <math.h>


int enumprimes(int* buffer, int n) {
	int pos = 0;
        buffer[pos++] = 2;
	for (int i = 2; i <= n; i++) {
		int j = 2;
		bool is_prime = true;
		while (j < sqrt(i) + 1 && is_prime) {
			if (i%j == 0) is_prime = false;
			++j;
		}
		if (is_prime) buffer[pos++] = i;
	}

	return pos;

}

int primes[512];
int pcount;

void subfactor(int n, int* out) {

  if (n == 1) return;

  for (int i = 0; n && (i < pcount); ++i) {

	while (n%primes[i] == 0) {

		++out[i];
		n /= primes[i];

	}

  }


}

void factor(int* buffer, int size, int* out) {

  for (int i = 0; i < pcount; ++i) out[i] = 0;

  for (int i = 0; i < size; ++i) subfactor(buffer[i], out);

}

int main() {

  int fact[512];

  pcount = enumprimes(primes, 512);

  int n, k;

  while (scanf("%d %d", &n, &k) == 2) {

  if ((n - k) > k) k = n - k;

  for (int i = 0; i < n; ++i) fact[i] = i + 1;

  for (int i = 0; i < k; ++i) fact[i] = 1;

  int fact2[512];

  int out1[512], out2[512];

  for (int i = 0; i < n - k; ++i) fact2[i] = i + 1;

  factor(fact2, n - k, out1);
  factor(fact, n, out2);

  for (int i = 0; i < n; ++i) out2[i] -= out1[i];

  long long sum2 = 1;

  for (int i = 0; i < n; ++i) sum2 *= (out2[i] + 1);

  printf("%Ld\n", sum2);

  }

  return 0;

}
